import Foundation

struct ImportableTag {

    let languages: [TagLanguage]

    func info(for language: ContentLanguage) -> TagLanguage? {
        languages.first { $0.language == language.rawValue }
    }
}

extension ImportableTag: Codable {

}

struct TagLanguage {

    let language: String

    let title: String

    let subtitle: String?

    let description: String?

    let moreLinkText: String?

    let backLinkText: String?
}

extension TagLanguage: Codable {

}
