import Foundation

final class PageSettings: ObservableObject {

    /// The prefix of the urls for all pages
    /// The full path will be `<pagePrefix>/<page-url-component>`
    @Published
    var pageUrlPrefix: String

    @Published
    var contentWidth: Int

    init(pageUrlPrefix: String, contentWidth: Int) {
        self.pageUrlPrefix = pageUrlPrefix
        self.contentWidth = contentWidth
    }
}
