import Foundation

final class PostSettings: ObservableObject {

    /// The number of posts to show in a single page of the news feed
    @Published
    var postsPerPage: Int

    /// The maximum width of the main content
    @Published
    var contentWidth: Int

    init(postsPerPage: Int, contentWidth: Int) {
        self.postsPerPage = postsPerPage
        self.contentWidth = contentWidth
    }
}
