
enum VideoType: String {

    case mp4

    case m4v

    case webm
}

extension VideoType {

    var fileExtension: String {
        switch self {
        case .mp4:
            return "mp4"
        case .m4v:
            return "m4v"
        case .webm:
            return "webm"
        }
    }

    var htmlType: String {
        switch self {
        case .mp4, .m4v:
            return "video/mp4"
        case .webm:
            return "video/webm"
        }
    }
}

extension VideoType: CaseIterable {

}
