import Foundation

struct GenericPage {

    let language: ContentLanguage

    let title: String

    let description: String

    let data: NavigationBarData

    let additionalHeaders: String

    let additionalFooter: String

    let insertedContent: (inout String) -> Void

    init(language: ContentLanguage, title: String, description: String, data: NavigationBarData, additionalHeaders: String, additionalFooter: String, insertedContent: @escaping (inout String) -> Void) {
        self.language = language
        self.title = title
        self.description = description
        self.data = data
        self.additionalHeaders = additionalHeaders
        self.additionalFooter = additionalFooter
        self.insertedContent = insertedContent
    }
    var content: String {
        var result = ""
        result += "<!DOCTYPE html><html lang=\"\(language.rawValue)\">"
        result += PageHead(title: title, description: description, additionalHeaders: additionalHeaders).content
        result += "<body>"
        result += NavigationBar(data: data).content
        result += "<div class=\"content\"><div style=\"height: 70px;\"></div>"
        insertedContent(&result)
        result += "</div>"
        result += additionalFooter
        result += "</body></html>" // Close content
        return result
    }
}
