import SwiftUI

struct FileDetailView: View {

    @ObservedObject
    var file: FileResource

    var body: some View {
        VStack(alignment: .leading) {
            Text("File Name")
                .font(.headline)
            TextField("", text: $file.uniqueId)
                .textFieldStyle(.roundedBorder)
                .padding(.bottom)
                .disabled(true)
            Text("Description")
                .font(.headline)
            TextField("", text: $file.description)
                .textFieldStyle(.roundedBorder)
        }.padding()
    }
}

#Preview {
    FileDetailView(file: .mock)
}
